MINTPY-PREP_ROIPAC(1)

NAME
mintpy-prep_roipac - Prepare attributes file for ROI_PAC products.

DESCRIPTION
usage: prep_roipac.py [-h] [--no-parallel] file [file ...]

Prepare attributes file for ROI_PAC products.

    For each binary file (unwrapped/wrapped interferogram, spatial coherence file), there are 2 .rsc files: 1) basic metadata file and 2) baseline parameter file. This script find those two rsc files based on input binary file name, and merge those two metadata files into one.

    For example, if input binary file is filt_100901-110117-sim_HDR_4rlks_c10.unw, this script will find 1) filt_100901-110117-sim_HDR_4rlks_c10.unw.rsc and 2) 100901-110117_baseline.rsc and merge 1) and 2) into one file: filt_100901-110117-sim_HDR_4rlks_c10.unw.rsc

  positional arguments:

file
    Gamma file(s)

  options:

-h, --help
    show this help message and exit

--no-parallel
    Disable parallel processing. Disabled auto for 1 input file.

  example:

prep_roipac.py
    filt_100901-110117-sim_HDR_4rlks_c10.unw

prep_roipac.py
    ./interferograms/*/filt_*.unw

prep_roipac.py
    ./interferograms/*/filt_*rlks.cor

prep_roipac.py
    ./interferograms/*/filt_*rlks.int

prep_roipac.py
    ./interferograms/*/filt_*_snap_connect.byt